<?php
namespace Management\Controllers;

use Teknisa\Libs\Util\Utilities as LibUtilities;
use Zeedhi\Framework\DataSource\DataSet;

class NextSession {

    private $environment;

    public function __construct($environment) {
        $this->environment = $environment;
    }

    public function startNext($request, $response) {
        $user = $request->getRow();
        $decrypted = json_decode(LibUtilities::zeedhiDecrypt($user['loginUserCrypto']?? []), true);
        
        unset($decrypted['VISIBLE_ELEMENTS']);
        unset($decrypted['EXPIRED_ELEMENTS']);
        
        $encryptedSession = LibUtilities::zeedhiEncrypt(json_encode($decrypted)); 
        $response->addDataSet(new DataSet('NEXTSESSION_ENCRYPTED', [$encryptedSession]));
    }
}